## astunparse 1.6.3

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc
	rm -fr htmlcov/

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info
	rm -fr tmp*

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	flake8 lib/astunparse tests

test:
	tox

coverage:
	tox -e coverage

docs:
	tox -e docs

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	python setup.py bdist_egg
	ls -l dist

=== docs/requirements.txt ===
pygments
sphinx
sphinx_rtd_theme
-r../requirements.txt

=== debian/changelog ===
astunparse (1.6.3-1) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Add patches from a patch-queue branch
    Added patches:
    Adapt-dump-behavior-to-match-ast.dump-on-Python-3.9.patch
    Remove-wheel-requirement.patch
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Bump debhelper version to 13
  * d/control: Remove obsolet Testsuite entry
  * d/watch: Use GitHub resource for checking
  * d/gbp.conf: Adding a basic config for gbp
  * metadata: Adding basic information
  * autopkgtest: Adding a basic test setup
  * d/control: Add pytest to B-D to use internal tests
  * d/rules: Turn on dh_auto_tests the corect way

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 03 Apr 2022 08:50:44 +0200

astunparse (1.6.3-1~exp2) experimental; urgency=medium

  * d/rules: do not fail for tests
  * d/control: add python3-six to B-D
  * d/clean: clean unwanted leftovers
  * d/copyright: clarify license status

 -- Aron Xu <aron@debian.org>  Fri, 22 Jan 2021 01:11:48 +0800

astunparse (1.6.3-1~exp1) experimental; urgency=medium

  * New upstream version 1.6.3 (Closes: #978502)

 -- Aron Xu <aron@debian.org>  Mon, 28 Dec 2020 16:39:35 +0800

=== debian/control ===
Source: astunparse
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six,
               python3-pytest,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/simonpercivall/astunparse
Vcs-Browser: https://salsa.debian.org/python-team/packages/astunparse
Vcs-Git: https://salsa.debian.org/python-team/packages/astunparse.git

Package: python3-astunparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: AST unparser for Python
 An AST unparser for Python, which is a factored out version of unparse
 found in the Python source distribution.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=astunparse

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# watch file for astunparse

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/simonpercivall/astunparse.git \
      refs/tags/v@ANY_VERSION@
